<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for lic.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
lic - Rapid Prototyping System for Code Generation and
Matrix and Linear Inequality Calculator

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>lic</B> -c|-m [-h] [ &lt; scriptfile]

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The standalone Linear Inequality Calculator program <I>LIC,</I>
takes input from a command line or a script file and
interactively performs linear inequality and matrix operations.
<I>LIC</I> can be operated in two modes, as a matrix and
linear inequality calculator or a rapid prototyping system
for code generation.
<P>
The rapid prototyping system for code generation mode is
exclusively designed for prototyping algorithms used for
code generation. It uses the Library of Linear Inequalities
with Symbolic Coefficients (See <I>Matrix</I> <I>library</I> <I>refer</I><B>_</B>e<I>nce</I>
<I>manual</I> ) as the underline primitives and provides a
simple interface to enter inequalities for loop bounds and
array access functions etc.
<P>
In matrix and linear inequality calculator mode, many
matrix and linear inequality functions defined in Matrix
Library and Linear Inequality Library (See <I>Matrix</I> <I>library</I>
<I>reference</I> <I>manual</I> ) can be used to manipulate matrices and
systems of linear inequalities.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>


<DL>

<DT><B>-c</B> </DT></DT>
<DD>    Rapid prototyping system for code generation.
</DD>

<DT><B>-m</B> </DT></DT>
<DD>    Matrix and linear inequality calculator.
</DD>

<DT><B>-h</B> </DT></DT>
<DD>    Online help page.
</DD>
</DL>

<H2><A NAME="sect4" HREF="#toc4"><B>See</B> <B>Also</B></A></H2>

<P>
<I>LIC:</I> <I>The</I> <I>linear</I> <I>inequality</I> <I>calculator</I> <I>reference</I> <I>manual</I> in
the suif documentation set.

<H2><A NAME="sect5" HREF="#toc5"><B>History</B></A></H2>

<P>
Developed by Saman Amarasinghe.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">See Also</A></LI>
<LI><A NAME="toc5" HREF="#sect5">History</A></LI>
</UL>
</BODY></HTML>
